> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transactions Fees (Collections)

> Get transaction fee expected to be paid for a particular transaction



## OpenAPI

````yaml get /transactions/fee
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /transactions/fee:
    get:
      tags:
        - Transactions
      summary: Get Transactions Fees (Collections)
      description: Get transaction fee expected to be paid for a particular transaction
      operationId: GetTransactionsFees(Collections)
      parameters:
        - name: amount
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: integer
            format: int32
            example: 100
        - name: currency
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: string
            example: NGN
        - name: Content-Type
          in: header
          description: ''
          required: true
          style: simple
          schema:
            enum:
              - application/json
            type: string
            example: application/json
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Tue, 19 Mar 2024 09:58:53 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '158'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"9e-94H+8Jg1qY9E0E1UNZBRFg"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: >-
                      #/components/schemas/GetTransactionsFeesCollections-success
                  - example:
                      status: success
                      message: Charged fee
                      data:
                        charge_amount: 100
                        fee: 1.4
                        merchant_fee: 0
                        flutterwave_fee: 1.4
                        stamp_duty_fee: 0
                        currency: NGN
              example:
                status: success
                message: Charged fee
                data:
                  charge_amount: 100
                  fee: 1.4
                  merchant_fee: 0
                  flutterwave_fee: 1.4
                  stamp_duty_fee: 0
                  currency: NGN
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 08:40:16 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '68'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"44-LL4yQihsKm2NQKn4LXx7uw"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/GetTransactionsFeesCollections-error1'
                  - example:
                      status: error
                      message: Invalid currency provided
                      data: null
              example:
                status: error
                message: Invalid currency provided
                data: null
      deprecated: false
components:
  schemas:
    GetTransactionsFeesCollections-success:
      title: GetTransactionsFeesCollections-success
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data28'
      example:
        status: success
        message: Charged fee
        data:
          charge_amount: 100
          fee: 1.4
          merchant_fee: 0
          flutterwave_fee: 1.4
          stamp_duty_fee: 0
          currency: NGN
    GetTransactionsFeesCollections-error1:
      title: GetTransactionsFeesCollections-error1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: Invalid currency provided
        data: null
    Data28:
      title: Data28
      required:
        - charge_amount
        - fee
        - merchant_fee
        - flutterwave_fee
        - stamp_duty_fee
        - currency
      type: object
      properties:
        charge_amount:
          type: integer
          format: int32
        fee:
          type: number
        merchant_fee:
          type: integer
          format: int32
        flutterwave_fee:
          type: number
        stamp_duty_fee:
          type: integer
          format: int32
        currency:
          type: string
      example:
        charge_amount: 100
        fee: 1.4
        merchant_fee: 0
        flutterwave_fee: 1.4
        stamp_duty_fee: 0
        currency: NGN
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````